#pragma once
#include "core/optype.h"

class Injecter
{
	HANDLE m_hRemoteModule;
	HANDLE m_hRemoteProcess;
public:
	Injecter();
	~Injecter();
	// 注入之前要提权;
	static BOOL EnablePrivilege(BOOL enable);
	// 注入dll;
	static long InjectDll(DWORD pid, LPCTSTR dllPath, long& error_code);
	// 弹出注入的DLl;
	static bool EjectDll();
};